;Copyright (C) 2002-2006, Marco Barisione <marco@barisione.org>
;
;This program is free software; you can redistribute it and/or
;modify it under the terms of the GNU General Public License
;as published by the Free Software Foundation; either version 2
;of the License, or (at your option) any later version.
;
;This program is distributed in the hope that it will be useful,
;but WITHOUT ANY WARRANTY; without even the implied warranty of
;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;GNU General Public License for more details.
;
;You should have received a copy of the GNU General Public License
;along with this program; if not, write to the Free Software
;Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

[Setup]
AppName=WinWhois
AppVerName=WinWhois (version 1.2, whois version 4.7.20)
DefaultDirName={pf}\WinWhois
DefaultGroupName=WinWhois
UninstallDisplayIcon={app}\winwhois.exe
Compression=lzma/max
OutputBaseFilename=WinWhoisSetup
PrivilegesRequired=admin
LicenseFile=license.txt
OutputDir=.

[Files]
Source: "winwhois.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "whois.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "LICENSE.txt"; DestDir: "{app}"
Source: "add_path.exe"; DestDir: "{app}"
Source: "src\*"; DestDir: "{app}\src"
Source: "cygwin1.dll"; DestDir: "{sys}"; Flags: sharedfile

[Icons]
Name: "{group}\WinWhois"; Filename: "{app}\WinWhois.exe"
Name: "{group}\License"; Filename: "{app}\license.txt"
Name: "{group}\Uninstall WinWhois"; Filename: {uninstallexe}

[Run]
; You can get "add_path" from http://www.barisione.org/apps.html#add_path
Filename: "{app}\add_path.exe"; Parameters: "{app}"; Flags: postinstall; Description: "Add the installation path to the search path"

[UninstallRun]
Filename: "{app}\add_path.exe"; Parameters: "/del {app}"

